Update a specific user by id
curl --request PUT \
--url https://api.rootly.com/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "users",
"attributes": {
"first_name": "<string>",
"last_name": "<string>",
"role_id": "<string>",
"on_call_role_id": "<string>"
}
}
}
'{
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "<string>",
"type": "on_call_roles"
}
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
update name and role simultaneously
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "users",
"attributes": {
"first_name": "<string>",
"last_name": "<string>",
"role_id": "<string>",
"on_call_role_id": "<string>"
}
}
}
'{
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"full_name_with_team": "<string>",
"time_zone": "<string>"
},
"relationships": {
"role": {
"data": {
"id": "<string>",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "<string>",
"type": "on_call_roles"
}
}
}
}
}